package TestDie;

#
# CREATE FUNCTION error_check(
#     error_code INT,
#     error_message VARCHAR(512)
#   )
#   NO SQL
#   LANGUAGE Perl
#   EXTERNAL NAME 'TestDie::error_check';
#

use 5.008008;
use strict;
use warnings;
use Symbol qw(delete_package);
require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw(  );
our @EXPORT = qw( killme error_check );
our $VERSION = '0.01';

# Preloaded methods go here.


sub killme($)
{
  my ($errormessage) = @_;
  die $errormessage;
}

sub error_check($$)
{
  my ($errcode, $errmsg) = @_;
  die "[$errcode] $errmsg" if $errcode;
  return $errcode;
}

1;
__END__

